openssl: Fix build with OpenSSL 1.1.1 without compatibility layer
authorTobias Brunner <tobias@strongswan.org>
Tue, 7 May 2019 09:44:34 +0000 (11:44 +0200)
committerTobias Brunner <tobias@strongswan.org>
Wed, 8 May 2019 12:28:18 +0000 (14:28 +0200)
commita4abb263c9bc8eaabb01158ed821b785e7fcf65f
tree70f316d03197cae799642c673e5bce879ec7a5c2
parent91dce6e87661d0972efc86fd610bf6edb26c43a8
openssl: Fix build with OpenSSL 1.1.1 without compatibility layer

If OpenSSL is built with --api, defines for deprecated functions in
OpenSSL's header files are not visible anymore.

Fixes #3045.
src/libstrongswan/plugins/openssl/openssl_x509.c